Subject: bug#16830: [Bug] 24.3.50; massive slow down in forward-line

From: "Stefan-W. Hahn" <[email-masked]>
Date: Fri, 21 Feb 2014 08:43:09 +0100

Mail von Eli Zaretskii, Sat, 22 Feb 2014 at 15:05:26 +0200:

Good morning,

> > (I wasn't able to compile it myself on windows; I tried it, but I wasn't
> > able to find all prerequisites. This is really easier on linux.)
> 
> Latest versions compile like on GNU/Linux, you just need to create a
> suitable environment first, using the advice in nt/INSTALL.

(I'm on commit 02825295f from 2014-02-22.)

I tried to install MinGW/MSYS as described in nt/INSTALL. I started msys.bat
and configured with "./configure --prefix=/d/bin/emacs-mingw" .It configured well
but didn't compile:

Configured for `i686-pc-mingw32'.

  Where should the build process find the source code?    .
  What compiler should emacs be built with?               gcc  -std=gnu99 -g3 -O2 -gdwarf-2
  Should Emacs use the GNU version of malloc?             yes
  Should Emacs use a relocating allocator for buffers?    yes
  Should Emacs use mmap(2) for buffer allocation?         no
  What window system should Emacs use?                    w32
  What toolkit should Emacs use?                          none
  Where do we find X Windows header files?                NONE
  Where do we find X Windows libraries?                   NONE
  Does Emacs use -lXaw3d?                                 no
  Does Emacs use -lXpm?                                   no
  Does Emacs use -ljpeg?                                  no
  Does Emacs use -ltiff?                                  no
  Does Emacs use a gif library?                           no
  Does Emacs use -lpng?                                   no
  Does Emacs use -lrsvg-2?                                yes
  Does Emacs use imagemagick?                             yes
  Does Emacs support sound?                               yes
  Does Emacs use -lgpm?                                   no
  Does Emacs use -ldbus?                                  yes
  Does Emacs use -lgconf?                                 no
  Does Emacs use GSettings?                               no
  Does Emacs use a file notification library?             yes -lgio (gfile)
  Does Emacs use access control lists?                    yes
  Does Emacs use -lselinux?                               no
  Does Emacs use -lgnutls?                                yes
  Does Emacs use -lxml2?                                  yes
  Does Emacs use -lfreetype?                              no
  Does Emacs use -lm17n-flt?                              no
  Does Emacs use -lotf?                                   no
  Does Emacs use -lxft?                                   no
  Does Emacs directly use zlib?                           no
  Does Emacs use toolkit scroll bars?                     yes

$ make
[ -r "src/config.in" ] || ( cd . && autoheader )
cd nt && make all                          \
          CC='gcc  -std=gnu99' CFLAGS='-g3 -O2 -gdwarf-2' CPPFLAGS='-mtune=pentium4   -DUSE_CRT_DLL=1 -I /d/home/hs/src/emacs.git/nt
/inc' \
          LDFLAGS='' MAKE='make'
make[1]: Entering directory `/d/home/hs/src/emacs.git/nt'
windres -I . -O coff -o emacs.res ./emacs.rc
gcc  -std=gnu99 -mtune=pentium4    -I. -I.   -mtune=pentium4   -DUSE_CRT_DLL=1 -I /d/home/hs/src/emacs.git/nt/inc -g3 -O2 -gdwarf-2
./runemacs.c emacs.res -mwindows \
         -o runemacs.exe
./runemacs.c: In function `WinMain':
./runemacs.c:74: warning: implicit declaration of function `alloca'
gcc  -std=gnu99 -mtune=pentium4    -I. -I.   -mtune=pentium4   -DUSE_CRT_DLL=1 -I /d/home/hs/src/emacs.git/nt/inc -g3 -O2 -gdwarf-2
./addpm.c -lole32 -luuid -o addpm.exe
./addpm.c: In function `add_registry':
./addpm.c:134: warning: implicit declaration of function `alloca'
gcc  -std=gnu99 -mtune=pentium4    -I. -I.   -mtune=pentium4   -DUSE_CRT_DLL=1 -I /d/home/hs/src/emacs.git/nt/inc -g3 -O2 -gdwarf-2
./cmdproxy.c -o cmdproxy.exe
./cmdproxy.c: In function `make_absolute':
./cmdproxy.c:288: warning: implicit declaration of function `alloca'
gcc  -std=gnu99 -mtune=pentium4    -I. -I.   -mtune=pentium4   -DUSE_CRT_DLL=1 -I /d/home/hs/src/emacs.git/nt/inc -g3 -O2 -gdwarf-2
./ddeclient.c -o ddeclient.exe
gcc  -std=gnu99 -mtune=pentium4    -I. -I.   -mtune=pentium4   -DUSE_CRT_DLL=1 -I /d/home/hs/src/emacs.git/nt/inc -g3 -O2 -gdwarf-2
./addsection.c -o addsection.exe
In file included from /usr/include/sys/fcntl.h:164,
                 from /usr/include/fcntl.h:14,
                 from ./addsection.c:26:
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:90: error: parse error before "st_ino"
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:96: error: parse error before "st_size"
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:103: error: parse error before '}' token
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:108: error: parse error before "_dev_t"
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:110: error: parse error before "st_mode"
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:110: error: conflicting types for 'st_mode'
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:92: error: previous declaration of 'st_mode' was here
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:112: error: conflicting types for 'st_uid'
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:94: error: previous declaration of 'st_uid' was here
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:113: error: conflicting types for 'st_gid'
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:95: error: previous declaration of 'st_gid' was here
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:114: error: parse error before "st_rdev"
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:114: error: conflicting types for 'st_rdev'
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:97: error: previous declaration of 'st_rdev' was here
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:115: error: conflicting types for 'st_size'
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:96: error: previous declaration of 'st_size' was here
/d/home/hs/src/emacs.git/nt/inc/sys/stat.h:120: error: parse error before '}' token
make[1]: *** [addsection.exe] Error 1
make[1]: Leaving directory `/d/home/hs/src/emacs.git/nt'
make: *** [nt] Error 2

gcc --version gives: gcc (GCC) 3.4.4 (msys special).

I attach the whole configure process data.

With kind regards,
Stefan

-- 
Stefan-W. Hahn                          It is easy to make things.
                                        It is hard to make things simple.